/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/* Places Organizer Sidebars */

#placesList {
  -moz-appearance: -moz-mac-source-list;
  width: 160px;
}

@media (-moz-mac-yosemite-theme: 0) {
  #placesList {
    box-shadow: inset -2px 0 0 hsla(0,0%,100%,.2);
  }
}

#placesList > treechildren::-moz-tree-cell-text {
  margin-inline-end: 6px;
}

#placesList > treechildren::-moz-tree-row(selected) {
  -moz-appearance: -moz-mac-source-list-selection;
  -moz-font-smoothing-background-color: -moz-mac-source-list-selection;
}

#placesList > treechildren::-moz-tree-row(selected,focus) {
  -moz-appearance: -moz-mac-active-source-list-selection;
  -moz-font-smoothing-background-color: -moz-mac-active-source-list-selection;
}

#placesList > treechildren::-moz-tree-cell(separator) {
  cursor: default;
}

#placesList > treechildren::-moz-tree-separator {
  border-top: 1px solid #505d6d;
  margin: 0 10px;
}

/* Match selected item styling for -moz-appearance values on OSX 10.9 */
@media (-moz-mac-yosemite-theme: 0) {
  #placesList > treechildren::-moz-tree-image(selected),
  #placesList > treechildren::-moz-tree-twisty(selected),
  #placesList > treechildren::-moz-tree-cell-text(selected) {
    color: #fff;
  }

  #placesList > treechildren::-moz-tree-cell-text(selected) {
    font-weight: bold;
  }
}

#placesToolbar {
  padding: 0 4px 3px;
}

#placesView {
  border-top: none !important;
}

#placesView > splitter {
  border-inline-start: none !important;
  border-inline-end: 1px solid #b4b4b4;
  min-width: 1px;
  width: 3px;
  margin-inline-start: -3px;
  position: relative;
  background-image: none !important;
}

#placesToolbar > toolbarbutton {
  margin: 4px 4px 5px;
  padding: 0;
  height: 22px;
  -moz-appearance: toolbarbutton;
}

#placesToolbar > toolbarbutton > .toolbarbutton-icon {
  -moz-context-properties: fill, fill-opacity;
  fill: currentColor;
  fill-opacity: 0.8;
  margin: 1px 4px;
}

#placesToolbar > toolbarbutton:not(#clearDownloadsButton) > .toolbarbutton-text {
  display: none;
}

#placesToolbar > toolbarbutton[type="menu"] > .toolbarbutton-menu-dropmarker {
  list-style-image: url(chrome://global/skin/icons/arrow-dropdown-12.svg);
  padding: 0;
  margin-inline-end: 2px;
}

#placesToolbar > toolbarbutton[disabled="true"] > .toolbarbutton-icon,
#placesToolbar > toolbarbutton:not(:hover):-moz-window-inactive > .toolbarbutton-icon,
#placesToolbar > toolbarbutton[type="menu"][disabled="true"] > .toolbarbutton-menu-dropmarker,
#placesToolbar > toolbarbutton:not(:hover):-moz-window-inactive[type="menu"] > .toolbarbutton-menu-dropmarker {
  opacity: .5;
}

#placesToolbar > toolbarbutton:-moz-window-inactive[disabled="true"] > .toolbarbutton-icon,
#placesToolbar > toolbarbutton:-moz-window-inactive[type="menu"][disabled="true"] > .toolbarbutton-menu-dropmarker {
  opacity: .25;
}

#placesToolbar > toolbarbutton > menupopup {
  margin-top: 1px;
}

/* back and forward button */
#back-button,
#forward-button {
  list-style-image: url("chrome://global/skin/icons/arrow-left.svg");
}

#back-button {
  margin-inline-end: 0 !important; /* override margin from #placesToolbar > toolbarbutton */
}

#forward-button {
  margin-inline-start: 0 !important; /* override margin from #placesToolbar > toolbarbutton */
}

#back-button:-moz-locale-dir(rtl) > .toolbarbutton-icon,
#forward-button:-moz-locale-dir(ltr) > .toolbarbutton-icon {
  transform: scaleX(-1);
}

#back-button > .toolbarbutton-icon {
  margin-inline: 3px 2px !important;
}

#forward-button > .toolbarbutton-icon {
  margin-inline: 2px 3px !important;
}

/* organize button */
#organizeButton {
  list-style-image: url("chrome://browser/skin/settings.svg");
}

/* view button */
#viewMenu {
  list-style-image: url("chrome://browser/skin/sort.svg");
}

/* maintenance button */
#maintenanceButton {
  list-style-image: url("chrome://browser/skin/import-export.svg");
}

/* Root View */
#placesView {
  border-top: 1px solid ThreeDDarkShadow;
  -moz-user-focus: ignore;
}

/* Info box */
#detailsDeck {
  border-top: 1px solid #919191;
  background-color: #f0f0f0;
  padding: 10px;
}

#placeContent {
  -moz-appearance: none;
  border: none;
}

#placeContent > treechildren::-moz-tree-cell,
#placeContent > treechildren::-moz-tree-column {
  border-inline-end: 1px solid #d7dad7;
}

#placeContent > treechildren::-moz-tree-cell(separator) {
  border-color: transparent;
}

/**
 * info pane
 */

#infoBoxExpander {
  margin: 2px;
}

#infoBoxExpanderLabel {
  display: none;
}

#itemsCountText,
#selectItemDescription {
  color: GrayText;
}

/**
 * Downloads pane
 */

#clearDownloadsButton {
  list-style-image: none !important;
}

#clearDownloadsButton > .toolbarbutton-icon {
  display: none;
}
